Page MenuHomeFreeBSD

New port: cad/sumo: Traffic simulation suite for road vehicles, public transportation, etc
ClosedPublic

Authored by yuri on Nov 26 2017, 10:13 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Nov 26 2017, 10:13 AM
mat added inline comments.Nov 27 2017, 1:42 PM
cad/sumo/Makefile
7 ↗(On Diff #35796)

The -doc- distfile should probably be in a DOCS_DISTFILES variable.

43–44 ↗(On Diff #35796)

This is probably wrong. To install files in STAGEDIR, you must use the INSTALL_* or COPYTREE_* macros so that the rights are correct.

yuri updated this revision to Diff 35909.Nov 28 2017, 7:12 AM

DOCS_DISTFILES.

yuri marked 2 inline comments as done.Nov 28 2017, 7:13 AM
mat added inline comments.Nov 28 2017, 1:03 PM
cad/sumo/Makefile
42 ↗(On Diff #35909)

This should probably be find -d so that recursively empty directories are detected.

43 ↗(On Diff #35909)

This should probably be done with USES=shebangfix.

7 ↗(On Diff #35796)

This is an option helper, it happens way too early.

yuri updated this revision to Diff 35930.Nov 28 2017, 6:01 PM
yuri marked 3 inline comments as done.

Moved DOCS_DISTFILES to option helpers section.

yuri added inline comments.Nov 28 2017, 6:02 PM
cad/sumo/Makefile
43 ↗(On Diff #35909)

DOCS_SHEBANG_FILES doesn't work. So I will have to put SHEBANG_FILES= docs/tutorial/*/*.py into the option helpers section.

Do you still want me to do this?

yuri added a comment.Nov 28 2017, 6:07 PM

devel/phpbt/Makefile has a conditional USES=shebangfix but SHEBANG_FILES is still used. But shouldn't all such USES arguments be made conditional too?

mat added inline comments.Nov 29 2017, 8:46 AM
cad/sumo/Makefile
43 ↗(On Diff #35909)

Please see the * (Any variable) bit of the list in 5.13.3. Options Helpers to learn how to deal with variables only needed by options.

yuri updated this revision to Diff 35968.Nov 29 2017, 5:53 PM

DOCS_VARS

yuri marked 2 inline comments as done.Nov 29 2017, 5:53 PM
yuri added inline comments.
cad/sumo/Makefile
43 ↗(On Diff #35909)

Thanks!

yuri marked 2 inline comments as done.Nov 29 2017, 5:53 PM
tcberner added inline comments.Nov 29 2017, 8:52 PM
cad/sumo/distinfo
1 ↗(On Diff #35968)

misses the sumo-doc distfile

yuri marked an inline comment as done.Nov 29 2017, 9:10 PM
yuri added inline comments.
cad/sumo/distinfo
1 ↗(On Diff #35968)

DOCS_DISTFILES is broken. It overwrites DISTFILES instead of adding to it.

mat added inline comments.Nov 30 2017, 4:29 PM
cad/sumo/distinfo
1 ↗(On Diff #35968)

Well, what I told you to do would have worked, but you changed the DISTFILES to DISTNAME, and of course, that broke it.

yuri updated this revision to Diff 36024.Nov 30 2017, 9:56 PM
yuri marked an inline comment as done.

Fixed distfiles.

mat added inline comments.Dec 1 2017, 1:14 PM
cad/sumo/Makefile
7 ↗(On Diff #36025)

I am not sure referencing the PR is a good idea, as it is not a bug, it is documented that way, and it cannot work any other way.

yuri updated this revision to Diff 36058.Dec 1 2017, 4:55 PM
yuri marked 3 inline comments as done.

Removed bug# comment.

yuri added inline comments.Dec 1 2017, 4:56 PM
cad/sumo/Makefile
7 ↗(On Diff #36025)

Removed.

yuri marked an inline comment as done.Dec 1 2017, 4:56 PM
yuri added a comment.Dec 3 2017, 6:34 PM

@tcberner Tobias, does it look like everything is ok?

Unfortunately not. You need to fix the plist for the debug builds :) -- the binaries get a "D" suffix :)

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: bin/TraCITestClientD
Error: Orphaned: bin/activitygenD
[...]
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: bin/TraCITestClient
Error: Missing: bin/activitygen
[...]
===> Error: Plist issues found.
*** Error code 1

I suggest using some PLIST_SUB %%DEBUG_SUFFIX%% or soemthing :)

yuri updated this revision to Diff 36154.Dec 3 2017, 7:09 PM

I removed the DEBUG option.
It doesn't need to be installed when debugged - it's just a set of executables. Anybody can still enable debug locally.

tcberner added inline comments.Dec 3 2017, 7:14 PM
cad/sumo/Makefile
44 ↗(On Diff #36154)

^ why is this comment still here?

yuri marked an inline comment as done.Dec 3 2017, 7:16 PM
tcberner accepted this revision.Dec 3 2017, 7:16 PM
This revision is now accepted and ready to land.Dec 3 2017, 7:16 PM
This revision was automatically updated to reflect the committed changes.